package xframework.com.controller;

import javax.servlet.http.Cookie;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;
import org.springframework.security.web.csrf.CsrfToken;
import org.springframework.stereotype.Controller;
import org.springframework.ui.ModelMap;
import org.springframework.web.bind.annotation.RequestMapping;

/**
 * @Class Name : XFrame5CommContoller.java
 * @Description : XFrame5CommContoller Controller Class
 * @Modification Information
 * @
 * @  수정일                          수정내용
 * @ ---------   ---------   -------------------------------
 * @ 2018.09.03     최초생성
 * @ 2020.11.20     기능수정		기능 분리
 *
 * @author 소프트베이스 개발팀
 * @since 2019. 06. 13
 * @version 1.0
 * @see 
 * 		서버 처리 샘플 클래스
 * Copyright (C) by Softbase All right reserved.
 *  
 */

@Controller
public class XFrame5CommContoller {
	
		
	private Log log = LogFactory.getLog(this.getClass());
	
	@RequestMapping("/security/loginPage")
    public String page() throws Exception {
        return "securityLoginPage";
    }

	/**
	 * index.jsp 페이지로 이동 처리
	 * @param request HttpServletRequest
	 * @param response HttpServletResponse
	 * @param model ModelMap
	 */
	@RequestMapping("/xframe5.do")
	public Object xframe5(HttpServletRequest request,HttpServletResponse response, ModelMap model){
		
		try {
			// Spring-security iframe 옵션 추가. 기본값 : DENY
			// security 4.x 버전부터 크롬에서 동작 버그로 인해 사용할수 없음 : context-security.xml 에서 설정
			//response.addHeader("X-FRAME-OPTIONS", "SAMEORIGIN");
			
			// Spring-security CSRF 인증 토큰 설정
			CsrfToken csrfToken = (CsrfToken)request.getAttribute(CsrfToken.class.getName());
			if (csrfToken != null) {
				// 쿠키에 설정하여 UI에서 처리 
				Cookie csrfTokenCK = new Cookie("_csrf.token", csrfToken.getToken());
				Cookie csrfParameterCK = new Cookie("_csrf.parameterName", csrfToken.getParameterName());
				Cookie csrfTokenHeaderCK = new Cookie("_csrf.headerName", csrfToken.getHeaderName());
				response.addCookie(csrfTokenCK);
				response.addCookie(csrfParameterCK);
				response.addCookie(csrfTokenHeaderCK);
			}
			
		} catch (Exception e){
			e.printStackTrace();
		}
		
		return "index";
	}	
	
	
}
