﻿/*
* mapid : requestsubmit() 함수를 호출할때, 첫번째 파라미터인 트랜잭션 MAP ID값 
* result : 서버와의 데이터 수신에 대한 처리 결과 (Rmeart 참조) 
* recv_userheader : 서버에서 setUserHeader 함수를 통해 설정한 데이터 
* recv_code : 서버에서 setMessage 함수 또는 setErrorMessage 함수를 통해서 설정한 코드 
* recv_msg : 서버에서 setMessage 함수 또는 setErrorMessage 함수를 통해서 설정한 메세지 
*/
function screen_on_submitcomplete(mapid, result, recv_userheader, recv_code, recv_msg)
{
	screen.setscreenprotect(false);   // 화면 잠금 해제

	//처리결과에 대한 내용을 표시
	fldMapId.settext(mapid);
	fldResult.settext(result);
	fldUserHeader.settext(recv_userheader);
	fldRecvCode.settext(recv_code);
	mulRecvMsg.settext(recv_msg);
}

/*
* 조회 버튼 마우스 클릭업시 이벤트 호출
*/
function btn_search_on_mouseup(objInst)
{
	var strRequestHeader, obj_post_data;
	var token, tokenHeader, tokenParameter;
	
	screen.setscreenprotect(true);   // 화면 잠금 
	
	// Spring security 설정되어 있을 경우 CSRF 토큰정보를 설정 해야 한다. 
	// 서버 서비스에서 Token 정보를 쿠키에 담아 전달. 
	
	// 쿠키에서 CSRF token 정보 추출.
	token = factory.getcookie("_csrf.token");
	tokenHeader = factory.getcookie("_csrf.headerName");
	tokenParameter = factory.getcookie("_csrf.parameterName");
	
	// cookie에 csrf 정보가 있을경우 request 요청시 추가.
	if (token.length > 0) {
		
		// 1. request 헤더 정보에 포함하는 방법 : 헤더네임과 토큰값 사용
		//strRequestHeader = {};
		//strRequestHeader[tokenHeader] = token;
		//console.log(strRequestHeader);
		//factory.setxtranhttpheader(strRequestHeader);
		
		// 2. post 데이타에 포함하는 방법 : 파라미터네임과 토큰값 사용.
		obj_post_data = {};
		obj_post_data[tokenParameter] = token;
		//console.log(obj_post_data);
		factory.setxtranpostdata(obj_post_data);
		
	}
	// 조회 처리
	screen.requestsubmit("TR_SELECT", true);
}

/*
* 업데이트 버튼 마우스 클릭업시 이벤트 호출
*/
function btn_updateUtil_on_mouseup(objInst)
{
	screen.setscreenprotect(true);   // 화면 잠금 
	
	screen.requestsubmit("TR_UPDATE_UTIL", true);	
}


/*
* 추가 버튼 마우스 클릭업시 이벤트 호출
* 그리드에 행 추가
*/
function btn_insert_on_mouseup(objInst)
{
	grid.additem();
}

/*
* 삭제 버튼 마우스 클릭업시 이벤트 호출
* 그리드에 체크한 행 삭제
*/
function btn_delete_on_mouseup(objInst)
{
	grid.deleteselectedrow();
}

function fldEmpAge_on_keydown(objInst, keycode, bctrldown, bshiftdown, baltdown, bnumpadkey)
{
	if(keycode == "13") { btn_search_on_mouseup(); }
	return 0;
}
/*
* 화면 로드 이벤트 처리
*/
function screen_on_load()
{
	
}

// spring-security iframe 동작 테스트
function testLoad_on_mouseup(objInst)
{
	tabTest.addtab("addtab", 1, 60, "/TEST/sample1", true, "");
}

// 그리드 팝업메뉴 이벤트 동작 테스트
function grid_on_useraction(objInst, nActionType, strActionParam)
{
	console.log(nActionType + " : " + strActionParam);
	return 1;
}